<template>
  <v-card class="ma-2" width="139">
    <v-card-title class="d-block pa-2">
      <p class="font-weight-medium caption">{{ actor.name }}</p>
      <p class="caption">{{ actor.nationality }}</p>
      <p class="caption">{{ formatDateString(actor.birthdate) }}</p>
    </v-card-title>
  </v-card>
</template>
<script>
import moment from "moment";

export default {
  props: {
    actor: {
      default() {
        return {};
      },
      type: Object
    }
  },
  methods: {
    formatDateString(isoDateString) {
      return moment(isoDateString).format("D MMM YYYY");
    }
  }
};
</script>
<style scoped>
p {
  margin: 0;
}
</style>
